"use strict";
/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizePath = void 0;
const node_os_1 = require("node:os");
const node_path_1 = require("node:path");
const USING_WINDOWS = (0, node_os_1.platform)() === 'win32';
function normalizePath(path) {
    if (USING_WINDOWS) {
        return (0, node_path_1.normalize)(path).toLowerCase();
    }
    else {
        return (0, node_path_1.normalize)(path);
    }
}
exports.normalizePath = normalizePath;
